#ifndef AOSCTL_H
#define AOSCTL_H

#include "aoshan.h"

// {A02F0B58-BDF5-4060-8062-82BA92EC4C3B}
extern const GUID IID_IAnalogOutputStreamControl;


class IAnalogOutputStreamControl : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE SetHandler(IAnalogOutputStreamHandler* pHandler) = 0;
	virtual HRESULT STDMETHODCALLTYPE GetBufferSize(ULONG* pulSize) = 0;
	virtual HRESULT STDMETHODCALLTYPE GetBuffersCapacity(ULONG* pulCapacity) = 0;
	virtual HRESULT STDMETHODCALLTYPE ClearBuffers() = 0;
	virtual HRESULT STDMETHODCALLTYPE PutBuffer(void* pData, ULONG ulSize) = 0;
};

#endif