#ifndef IMEPRESSSCANERCONTROL_H
#define IMEPRESSSCANERCONTROL_H
/// @interface IMePressScanerControl
///     

// {06AFBF82-F52C-40ba-B87A-30E42AE1DAA8}
extern const GUID IID_IMePressScanerControl;


enum {
	///  
	MEPRSCAN_OPERATING_MODE   = 0x000001,
	///  	
	MEPRSCAN_CALIBRATING_MODE = 0x000002,
	///  
	MEPRSCAN_BLOW_DOWN_MODE   = 0x000003,
};

class IMePressScanerControl : public IUnknown
{
public:
	///   ,     ip   ,   
	virtual HRESULT STDMETHODCALLTYPE GetName(BSTR* a_pbstrName) const = 0;		
	
	///    
	virtual HRESULT STDMETHODCALLTYPE SetScanerMode(ULONG a_nMode) = 0;	
	
	///    
	virtual HRESULT STDMETHODCALLTYPE GetScanerMode(ULONG* a_pnMode) const = 0;		
};


// {3C1B69B7-A984-4089-B7BF-F8CD64B87989}
extern const GUID IID_IMePressScanersEnum;

/// @interface  IMePressScanersEnum
///      " "
class IMePressScanersEnum : public IUnknown
{
public:
	virtual ULONG   STDMETHODCALLTYPE GetScanersCount() const = 0;
	virtual HRESULT STDMETHODCALLTYPE GetScaner(IUnknown** a_ppObject, LONG a_nIndex) const = 0;	
};
#endif