#ifndef ISEARHDEVICWSCALLBACK_H
#define ISEARHDEVICWSCALLBACK_H

#include "mebase.h"
#include "IDeviceInfo.h"
#include "IBus.h"

namespace mebius_daq{
//using namespace mebase;

class IBus;
class IDeviceInfo;

//! @interface ISearhDevicesCallback
//!      <br>
//!     IBus::SearchDevices<br>
//!  ,     ,   
//!     .<br>
//!       Abort  
//! OnFindDevice   true

class ISearhDevicesCallback
{
public:
	///    
	virtual mebase::MEBRESULT MEBCALLTYPE OnFindDevice(
			IDeviceInfo* pInfo, ///< [in]    ,  NULL
			float fltProgress,  ///< [in]     
			bool* pAbort,       ///< [out]   
			IBus* pBus          ///< [in]     
		) = 0;
};
}
#endif
