#ifndef ISINGLETAGLINK_H
#define ISINGLETAGLINK_H
#include "itag.h"

// {B1FCE69F-A0D8-4c09-BFB7-786E40FF2F03}
extern const GUID IID_ISingleTagLink;

class ISingleTagLink : public IUnknown
{
	public:
		virtual HRESULT STDMETHODCALLTYPE LinkTag(ITag* pTag)=0;
};


// {6FF17EF7-677D-40b2-978D-9CB80BA3FF79}
extern const GUID IID_IMultiTagsLink;

class IMultiTagsLink : public IUnknown
{
	public:
		virtual HRESULT STDMETHODCALLTYPE BeginLink()=0;
		virtual HRESULT STDMETHODCALLTYPE LinkTag(ITag* pTag)=0;
		virtual HRESULT STDMETHODCALLTYPE EndLink()=0;
};

#endif