///////////////////////////////////////////////////////////////////////////////
// IAlarmProcessor
//
//      
//    IAlarmsControl::CreateAlarm
//
//  : mr\iface\alarm.h
//
//      recorder
//
// 2005 ()  ""
///////////////////////////////////////////////////////////////////////////////

#ifndef ALARMPROCESSOR_H
#define ALARMPROCESSOR_H

extern const GUID IID_IAlarmProcessor;



class __declspec(uuid("B7282CFF-3A76-47a9-9CD8-83D3EAA65D96")) IAlarmProcessor : public IUnknown
{
	public:
		virtual HRESULT STDMETHODCALLTYPE Reset()=0;
		virtual HRESULT STDMETHODCALLTYPE ProcessValue(double a_dblValue, VARIANT_BOOL* a_pAlarm)=0;
		virtual HRESULT STDMETHODCALLTYPE Before(/*[in] */IAlarmProcessor* a_pAlarm,/* [out, retval] */VARIANT_BOOL* a_pvboolBefore)=0;
};


#endif