#ifndef IRCPRC_H
#define IRCPRC_H
// {F74FEAC0-30D2-48b7-A46A-7D879A053B4D}
static const GUID IID_IRcProcessControl = 
{ 0xf74feac0, 0x30d2, 0x48b7, { 0xa4, 0x6a, 0x7d, 0x87, 0x9a, 0x5, 0x3b, 0x4d } };

/*
typedef struct  tagRCPMSG
{
  IUnknown* sender;
  UINT      message;
  WPARAM    wParam;
  LPARAM    lParam;
  DWORD     time;
  DWORD     flags;
}RCPMSG;
*/

typedef MSG RCPMSG;

typedef void (*delegate_func)(void* param);

enum {
	RCC_BASE = WM_USER + 0x8000,
	RCC_QUIT,
	RCC_INIT,
	RCC_COMMAND,
	RCC_NOTIFYPLUGINS,
	RCC_RUN_DELEGATE_FUNC,
	RCC_NOTIFY_UIS,
};


//  RCC_COMMAND,
enum{
	IDRCCMD_RCREC = 0x1000,
	IDRCCMD_RCVIEW,
	IDRCCMD_RCSTOP,
	IDRCCMD_CLOSEPLUGIN,
	IDRCCMD_SELFTEST,
	IDRCCMD_CLOSEALLPLUGIN,
	IDRCCMD_QUIT,
	IDRCCMD_OPENPLUGIN,
	IDRCCMD_NOTIFYPLUGINS,
	IDRCCMD_ON_FINISH_FILE_PROCESSING,
	IDRCCMD_RUN_COMMAND,
	IDRCCMD_RCPLAY
};



class IRcProcessControl : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE InitProcess() = 0;
	virtual HRESULT STDMETHODCALLTYPE RunProcess() = 0;
	virtual HRESULT STDMETHODCALLTYPE TerminateProcess() = 0;
	virtual HRESULT STDMETHODCALLTYPE RcPostMessage(
			UINT uMsg, 
			WPARAM wParam = 0, 
			LPARAM lParam = 0
		) = 0;
	virtual BOOL    STDMETHODCALLTYPE isLive() = 0;

};
#endif