#ifndef IRDA_H
#define IRDA_H

// {47125AC1-B926-11d7-9244-00E029288A7F}
static const GUID IID_IRandomDataAccess = 
{ 0x47125ac1, 0xb926, 0x11d7, { 0x92, 0x44, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };


// {47125ACB-B926-11d7-9244-00E029288A7F}
static const GUID CLSID_RandomDataAccess = 
{ 0x47125acb, 0xb926, 0x11d7, { 0x92, 0x44, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };


//    

class IRandomDataAccess: public IUnknown
{
  public:
    //   
    virtual ULONG   STDMETHODCALLTYPE GetReadyBlocksCount()=0;
    //  
    virtual ULONG   STDMETHODCALLTYPE GetVectorSize()=0;
    //  
    virtual ULONG   STDMETHODCALLTYPE GetBlocksSize()=0;
    //   
    virtual ULONG   STDMETHODCALLTYPE GetVectorCapacity()=0;
    // 
    virtual ULONG   STDMETHODCALLTYPE LockVector()=0;
    // 
    virtual ULONG   STDMETHODCALLTYPE UnlockVector()=0;
    //  
    virtual ULONG   STDMETHODCALLTYPE GetLockCount()=0;

    virtual double STDMETHODCALLTYPE GetX(int a_Index)=0;

    virtual double STDMETHODCALLTYPE GetY(int a_Index, bool a_boolViaTransformer=true)=0;

};
#endif 