#ifndef iopcpluginH
#define iopcpluginH

#include <rcplugin.h>

//      OPC
#define OPCPROP_BASE (PLGPROP_USER + 100)

//   
#define OPCPROP_SHOW (OPCPROP_BASE + 1)
//   , ..  RefreshTags (   )
#define OPCPROP_REFRESH (OPCPROP_BASE + 2)

//       
#define OPCPROP_SHOWED (OPCPROP_BASE + 10)

// {4F44B1D0-E219-47c3-9732-A20FD7742543}
static const GUID IID_IOPCPluginAdvanced = 
{ 0x4f44b1d0, 0xe219, 0x47c3, { 0x97, 0x32, 0xa2, 0xf, 0xd7, 0x74, 0x25, 0x43 } };

class IOPCObserver;

class IOPCPluginAdvanced : public IUnknown
{
public:
    virtual int STDMETHODCALLTYPE GetServersCount(void) const = 0;
    virtual const char * STDMETHODCALLTYPE GetServerName(int nIndex) = 0;

    // /    
    virtual bool STDMETHODCALLTYPE AddObserver(IOPCObserver *) = 0;
    virtual bool STDMETHODCALLTYPE DeleteObserver(IOPCObserver *) = 0;

    //       
    // dwTimeOut -   ,   
    //        
    virtual bool STDMETHODCALLTYPE IsDataReceived(const char * pchServerName, DWORD dwTimeOut) = 0;
};

class IOPCObserver : public IUnknown
{
public:
    //  , :
    // -    
    // -     
    virtual void STDMETHODCALLTYPE OnConnected(const char * pchServerName) = 0;

    //  , :
    // -  ,       ,
    // ,     (-    )
    // -    
    virtual void STDMETHODCALLTYPE OnDisconnected(const char * pchServerName, DWORD dwError) = 0;
};

#endif