{---------------------------------------------------------------------}
{  ()  plug-in`    Recorder }
{     COM  plug-in`                 }
{ : Borland Delphi 6.0                                      }
{  " " 2004.                                               }
{---------------------------------------------------------------------}
unit plugin;
interface
{$ALIGN 8}
uses Windows, recorder, tags;
const
  //   plug-in`
  PLUGIN_CLASS =  0;  // plug-in -  
  PLUGIN_HANDLE = 1;  // 

   //    plug-in`
   PN_ENTERRCCONFIG =            0; //     
   PN_LEAVERCCONFIG =            1; //     
   PN_CHANGECURTAG =             2; //   ,   dwData
                                    //     ,   .
   PN_RCSTART =                  3; //     / 
   PN_RCPLAY =                   4; //      
   PN_RCSTOP =                   5; //  
   PN_UPDATEDATA =               6; //    ,  data  
   PN_SHOWINFO =                 7; //     
   PN_RCSAVECONFIG =             8; //   
   PN_RCLOADCONFIG =             9; //   
   PN_SYNCHRO_READ_DATA_BLOCK = 10; //  
                                    //  RCNOTIFY rcn;
                                    //  rcn.pSender=dynamic_cast<IUnknown*>(ITAG);
                                    //  rcn.lParam=(long)a_dwPortionLen;
                                    //  rcn.pvParam=a_pdblBuffer;
   PN_EDIT_VIRTUAL_TAG_PROPS =  11; //   
                                    //  
                                    //  RCNOTIFY rcn;
                                    //  rcn.pSender=dynamic_cast<IUnknown*>(ITAG);
   PN_IMPORTSETTINGS =          12; //     
   PN_EXPORTSETTINGS =          13; //     
   PN_BEFORE_RCSTART =          14; //     / 
   PN_BEFORE_RCSTOP =           15; //  
   PN_ABORT_RCSTART =           16; //    
   PN_BROADCAST =               17; //   
   PN_USER                   =  $7000; //  PN_USER+XXXX

   //  
   RCCT_FULLRESET =     0;
   RCCT_DEVICERESET =   1;
   RCCT_SOFTWARERESET = 2;
   RCCT_LINKSREFRESH =  3;

   // 
   PLGPROP_STATUSSTRING = 0; //   . 
                             //   
   PLGPROP_INFOSTRING =   1; //    
   PLGPROP_STATE =        2; //  
   PLGPROP_USER =         $7000; //   PLGPROP_USER+XXXX

   // 
   PLGSTATE_SUSPENDED = 1; //    

type
   //      
   //PN_SYNCHRO_READ_DATA_BLOCK   PN_EDIT_VIRTUAL_TAG_PROPS
   tagRCNOTIFY = record
      pSender: IUnknown;    //   
      nSubCommand: UINT;    // 
      lParam: longint;      // 
      dblParam: double;
      pvParam: pointer;
   end;
   RCNOTIFY = tagRCNOTIFY;
   LPRCNOTIFY = ^RCNOTIFY;

   //    plug-in`
   //        C++.
   //      C++,  
   //    0.
   tagPLUGININFO = record
      name:       array [0..100] of char;  //
      describe:   array [0..200] of char;  //
      vendor:     array [0..200] of char;  //  
      version:    word;                    // 
      subversion: word;                    // 
   end;
   PLUGININFO = tagPLUGININFO;
   LPPLUGININFO = ^PLUGININFO;

   //  plug-in`  
   IRecorderPlugin = interface
   ['{5967D621-0C3B-11d7-9243-00E029288A7F}']
       //  
       function _Create(pOwner: IRecorder): boolean; stdcall;
       // 
       function Config: boolean; stdcall;
       //   
       function Edit: boolean; stdcall;
       // 
       function Execute: boolean; stdcall;
       //  
       function Suspend: boolean; stdcall;
       //  
       function Resume: boolean; stdcall;
       //    
       function Notify(const dwCommand: DWORD;
                       const dwData: DWORD): boolean; stdcall;
       //  
       function Getname: LPCSTR; stdcall;
       //  
       function GetProperty(const dwPropertyID: DWORD;
                            var Value: OleVariant): boolean; stdcall;
       //  
       function SetProperty(const dwPropertyID: DWORD;
                            {const} Value: OleVariant): boolean; stdcall;

       //      
       function CanClose: boolean; stdcall;
       //   
       function Close:  boolean; stdcall;
   end;

implementation
end.









