#ifndef DIGOUT_H
#define DIGOUT_H

// {DA1B4C61-DF78-11d6-9243-00E029288A7F}
static const GUID IID_IDigitalOutput = 
{ 0xda1b4c61, 0xdf78, 0x11d6, { 0x92, 0x43, 0x0, 0xe0, 0x29, 0x28, 0x8a, 0x7f } };


class IDigitalOutput : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE OutputWord(DWORD a_dwValue)=0;
	
	///    
	/// since rc v3.0.4.2
	/// please check rc version before using it
	virtual HRESULT STDMETHODCALLTYPE OutputWordMask(DWORD a_dwValue, DWORD a_dwMask)=0;
};

#endif

