#ifndef IOCONTROLBUSIDS_H
#define IOCONTROLBUSIDS_H

#include "mebase.h"

namespace mebius{ namespace ioctl{

enum{
	IOCTL_TYPE_PC104=0x00001,
	IOCTL_TYPE_MRMODULE=0x00002
};

#define IOCTL_CODE( Type, Function ) (  \
    ((Type) << 16) | (Function) 	\
)

enum{
	IOCTLB_READ		= IOCTL_CODE(IOCTL_TYPE_PC104, 0),
	IOCTLB_WRITE		= IOCTL_CODE(IOCTL_TYPE_PC104, 1),
	IOCTLB_REGISTER_CALLBACK= IOCTL_CODE(IOCTL_TYPE_PC104, 2),
	IOCTLB_GET_PIPE_OUT	= IOCTL_CODE(IOCTL_TYPE_PC104, 3),
	IOCTLB_CALL_MODULE	= IOCTL_CODE(IOCTL_TYPE_MRMODULE, 0),
	IOCTLB_CHECK_BIOS	= IOCTL_CODE(IOCTL_TYPE_MRMODULE, 1),
	IOCTLB_SETIFACENUM	= IOCTL_CODE(IOCTL_TYPE_MRMODULE, 2),
	IOCTLB_WRITEAUXAREA	= IOCTL_CODE(IOCTL_TYPE_MRMODULE, 3),
	IOCTLB_READAUXAREA	= IOCTL_CODE(IOCTL_TYPE_MRMODULE, 4)

};

}}
#endif
