#ifndef BUSIDS_H
#define BUSIDS_H

#include "PropIdBase.h"

namespace mebius_daq{

enum{
	BUSTYPE_NULL=0x0000,
	BUSTYPE_PCI=0x0001,
	BUSTYPE_ETHERNET_TCP,
	BUSTYPE_MC,
	BUSTYPE_PC104MB,
	BUSTYPE_SPW,
	BUSTYPE_MR,
	BUSTYPE_MR_NIOS,
	BUSTYPE_UART,
	BUSTYPE_CMT_UART,
	BUSTYPE_RS485,
	BUSTYPE_MBSPI
	};

enum {
	BUSID_NULL = MAKE_BUSID(BUSTYPE_NULL, 0, 0),  ///< Этот идентификатор используется как универсальный для получения хостовой шины устройства
	BUSID_HOST = BUSID_NULL,                      ///< Этот идентификатор используется как универсальный для получения хостовой шины устройства
	BUSID_PCI = MAKE_BUSID(BUSTYPE_PCI, 0, 0),
	BUSID_ETHERNET_TCP = MAKE_BUSID(BUSTYPE_ETHERNET_TCP, 0, 0),
	BUSID_MC=MAKE_BUSID(BUSTYPE_MC, 0, 0),
	BUSID_PC104MB=MAKE_BUSID(BUSTYPE_PC104MB, 0, 0),
	BUSID_SPW=MAKE_BUSID(BUSTYPE_SPW, 0, 0),
	BUSID_MR=MAKE_BUSID(BUSTYPE_MR, 0, 0),
	BUSID_MR_NIOS=MAKE_BUSID(BUSTYPE_MR_NIOS, 0, 0),
	BUSID_UART=MAKE_BUSID(BUSTYPE_UART, 0, 0),
	BUSID_CMT_UART=MAKE_BUSID(BUSTYPE_CMT_UART, 0, 0),
	BUSID_RS485=MAKE_BUSID(BUSTYPE_RS485, 0, 0),
	BUSID_MBSPI=MAKE_BUSID(BUSTYPE_MBSPI, 0, 0)
	};
}

#endif
