#ifndef ILINKCALLBACK_H
#define ILINKCALLBACK_H
#include "mebase.h"

namespace mebius_daq{

/// @interface ILinkCallback

class ILinkCallback
{
public:
	virtual mebase::MEBRESULT MEBCALLTYPE OnConnected() = 0;
	virtual mebase::MEBRESULT MEBCALLTYPE OnDisconnected() = 0;
	virtual mebase::MEBRESULT MEBCALLTYPE OnReadData(void* p, int sz) = 0;
	virtual mebase::MEBRESULT MEBCALLTYPE OnConnecting() = 0;	
};
}
#endif
