#ifndef CB_CTRL_H
#define CB_CTRL_H
#include "cb_toolbar.h"


// {B2AB12D0-A34F-415e-AE8C-345E1CFD4726}
static const GUID IID_ICustomButtonsControl = 
{ 0xb2ab12d0, 0xa34f, 0x415e, { 0xae, 0x8c, 0x34, 0x5e, 0x1c, 0xfd, 0x47, 0x26 } };

class ICustomButtonsControl : public IUnknown
{
  public:
    virtual HRESULT STDMETHODCALLTYPE EnumerateToolBars(IEnumUnknown** a_ppToolBarsEnum)=0;
    virtual HRESULT STDMETHODCALLTYPE GetToolBarByName(
      const BSTR a_bstrName,
      ICustomButtonsToolBar ** a_ppToolBar
    )=0;
};

#endif