#ifndef CFREG_H
#define CFREG_H


// {18B5643F-FF89-479d-880F-043C92DC8476}
extern const GUID IID_ICustomFormFactory;

#include "ivform.h"

//    VForm
//         GUID
class ICustomFormFactory : public IUnknown
{
public:
	//   
		virtual HRESULT STDMETHODCALLTYPE CreateForm(IVForm** ppForm)=0;
		
		//   
		virtual HRESULT STDMETHODCALLTYPE GetFactoryID(GUID* pID)=0;
		
		//     ()
		virtual HRESULT STDMETHODCALLTYPE GetFactoryOwner(IUnknown** pOwner)=0;

		//    
		virtual HRESULT STDMETHODCALLTYPE GetFormTypeName(BSTR* pbstrName)=0;

		//    
		virtual HRESULT STDMETHODCALLTYPE GetFormTypePicture(IPicture** ppPicture)=0;

		//      
		virtual HRESULT STDMETHODCALLTYPE GetDefaultFormSize(SIZE* pSize)=0;

		//   
		virtual HRESULT STDMETHODCALLTYPE GetSingleTagFlag(VARIANT_BOOL* pFlag)=0;


};

// {A9A3A065-369D-42d7-8105-426F38C80531}
extern const GUID IID_ICustomFormsRegistrator;

//      
class ICustomFormsRegistrator : public IUnknown
{
  public:
    //   
		virtual HRESULT STDMETHODCALLTYPE RegisterFormFactory(ICustomFormFactory* pFactory)=0;
		
		//     
		virtual HRESULT STDMETHODCALLTYPE UnRegisterFormFactory(ICustomFormFactory* pFactory)=0;

		//    
		virtual HRESULT STDMETHODCALLTYPE FindFactoryById(ICustomFormFactory** ppFactory, GUID pID)=0;
		
		//   
		virtual HRESULT STDMETHODCALLTYPE GetFactoriesCount(ULONG* nCount)=0;

		//    
		virtual HRESULT STDMETHODCALLTYPE GetFactoryByIndex(ICustomFormFactory** ppFactory, ULONG nIndex)=0;

};
#endif