#ifndef PROPACCESS_H
#define PROPACCESS_H
//      
//   Get/SetProperty

extern const GUID IID_IPropertyAccess;
class IPropertyAccess : public IUnknown
{
public:
	virtual HRESULT STDMETHODCALLTYPE SetProperty(
			ULONG nPropertyID, 
			const VARIANT& varValue, 
			int nIndex
		) = 0;

	virtual HRESULT STDMETHODCALLTYPE GetProperty(
			ULONG nPropertyID, 
			VARIANT& varValue, 
			int nIndex
		) = 0;
};

#endif