{---------------------------------------------------------------------}
{  ()  plug-in`    Recorder }
{                   }
{                                    }
{ : Borland Delphi 6.0                                      }
{  " " 2004.                                               }
{---------------------------------------------------------------------}

unit transf;
interface
uses Windows;
const
   // 
   TXN_UPDATELINKS = 0;  //  
   
   //     
   IDCTF_UPDATEHARDWTARE = $555;
   
type
   TXTYPE =(
      TXT_NULL,
      TXT_SCALE,
      TXT_LINE,
      TXT_INTEPOLATETABLE,
      TXT_POLYNOME
   );

//  
   ITransformer = interface
   ['{C1A20401-DC60-11d6-9243-00E029288A7F}']
      function GetEditor: HWND; stdcall;
      function GetEmbeddedEditor(const pParent: HWND): HWND; stdcall;

      //      a_pStream==NULL
      //  
      function Save(var pStream): integer; stdcall;
      //      a_pStream==NULL
      //  
      function Load(var pStream): integer; stdcall;

      //       .mera
      function GetInfoStrings(var pnIndex: integer; var pchBuffer: LPCSTR;
                              const pchPath: LPCSTR;
                              const pchTagName: LPCSTR): integer; stdcall;
      {     }
      function Edit: boolean; stdcall;
      function Eval(const dblValue: double): double; stdcall;
      function GetTXType: TXTYPE; stdcall;
      {  ,     }
      function UpdateEditor: HRESULT; stdcall;
      function Reset: HRESULT; stdcall;

      {/  }
      {       ,
           256 }
      function GetName(const pchName: LPCSTR): DWORD; stdcall;
      function SetName(const pchName: LPCSTR): HRESULT; stdcall;

      //   .csv
      function ImportFromFile(const a_pchName: LPCSTR;
                              const pchSeparator: LPCSTR): HRESULT; stdcall;
      //   .csv
      function ExportToFile(const pchName: LPCSTR;
                            const pchSeparator: LPCSTR): HRESULT; stdcall;

      function GetProgID: LPCSTR; stdcall;

      //  
      function GetTypeName(const pchName: LPCSTR): DWORD; stdcall;

      //   
      function Check: HRESULT; stdcall;

      //  
      function GetProperty(dwPropertyID: DWORD; var Value: OleVariant): HRESULT; stdcall;
      //  
      function SetProperty(const dwPropertyID: DWORD;
                           {const} Value: OleVariant): HRESULT; stdcall;

      //  /
      function Notify(const dwCommand: DWORD; const dwParam: DWORD): boolean; stdcall;

      //     
      function TestImportFile(const pchName: LPCSTR): boolean; stdcall;

      //    TX
      function EvalInverse(const dblValue: double): double; stdcall;
   end;
implementation
end.

